package com.iamberry.wechat.tools;


import org.omg.CORBA.INTERNAL;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;


@Component
public class PosterNumUtils {
    //背景色集合
    private static Map<Integer,String> map = new HashMap<>();

    public static final String IMG_PATH = "common/images/movable/";
    public static final String OLD_IMG_PATH = "common/images/movable/ditu.jpg";

    /*二维码大小*/
    public static final int CODE_WIDTH = 106;
    public static final int CODE_HEIGHT = 106;

    /*头像大小*/
    public static final int HEAD_WIDTH = 132;
    public static final int HEAD_HEIGHT = 132;

    /*文字位置 -- 昵称*/
    public static final int TEXT_X = -1; //居中
    public static final int TEXT_Y = 208;
    public static final int TEXT_FONT_SIZE = 30;

    /*文字位置 -- 文本 - 起始位置*/
    public static final int TEXT_CONTENT_X = 170; //居中
    public static final int TEXT_CONTENT_Y = 270;
    public static final int TEXT_CONTENT_FONT_SIZE = 26;

    /*每行文字字符限制数量,中文算两个字符，所以只能是双数*/
    public static final int FONT_NUMBER = 28;

    //每行间距 - 行距
    public static final int FONT_LINE_SPACING = 71;

    /*头像位置*/
    public static final int HEAD_X = 309;
    public static final int HEAD_Y = 38;

    /*二维码位置*/
    public static final int CODE_X = 620;
    public static final int CODE_Y = 1077;

    static {
        map.put(1,"1.jpg");  //1号背景
        map.put(2,"2.jpg");  //2
        map.put(3,"3.jpg");  //3
        map.put(4,"4.jpg");  //4
        map.put(5,"5.jpg");  //5
    }

    public static String  getBackPath(Integer type){
        return "back/"+map.get(type);
    }


}
